In a new post to the Visual Studio Blog, Microsoft has detailed more information about the Visual Studio 11 product editions and which platforms the new developer suite will support. The news comes on the heels of an announcement about coming major changes to the Visual Studio 11 user interface.

Visual Studio 11 will include the following product editions:

Express editions. As with previous Visual Studio versions, Microsoft will provide a number of free Visual Studio 11 Express editions that are aimed at specific languages (C#, Visual Basic, C++) or Microsoft platforms (Windows 8, Windows Phone). (Those who wish to use just specific languages outside of the platforms can use the legacy Visual Studio 2010 Express editions products, which will still be made available freely.)

Announced Express editions include:

Visual C# Express 11
Visual Basic Express 11
Visual C++ Express 11
(Visual C#, VB, and C++ Express 2010 still available)
Visual Studio 11 Express for Windows 8 (supports C#, Visual Basic, C++ and JavaScript)*
Visual Studio Express for Windows Phone
Visual Studio 11 Express for Web
(Plus some as yet unnamed Visual Studio 11 Express product for Windows Azure v.Next)

(* To create desktop applications for Windows 8, you need to use Visual Studio 11 Professional, or higher, Microsoft says.)

Paid editions. Microsoft had previously announced the following paid versions of Visual Studio 11 (prices include MSDN subscription):

Visual Studio 11 Professional $1,199 (renewal $799 per year)
Visual Studio 11 Test Professional $2,169 (renewal $899 per year)
Visual Studio 11 Premium $6,119 (renewal $2,569 per year)
Visual Studio 11 Ultimate $13,299  (renewal $4,249 per year)
Visual Studio 11 Team Foundation Server $499 (plus $499 per CAL)

(Visual Studio 11 Professional, Premium and Ultimate all include Lightswitch, which was previously available as an out-of-band, separate release.)

Microsoft also announced the hardware requirements for Visual Studio 11: They are exactly the same as with Visual Studio 2010, though you will need Windows 7 or Windows 8 to utilize the suites.

Update: I misunderstood the availability of language-specific Express products and corrected above. Thanks to everyone that wrote in. --Paul